{ impermanence, ... }:
{
  imports = [ impermanence.nixosModules.impermanence ];

  environment.persistence."/persist" = {
    hideMounts = true;
    directories = [
      "/storage"
      "/var/lib/nixos"
    ];
    files = [ "/etc/machine-id" ];
  };
}
